;(function(){
(function (global, factory) {
  if (typeof define === "function" && define.amd) {
    define(['exports', 'element-ui', '../_style/global.css', './style/index.css'], factory);
  } else if (typeof exports !== "undefined") {
    factory(exports, require('element-ui'), require('../_style/global.css'), require('./style/index.css'));
  } else {
    var mod = {
      exports: {}
    };
    factory(mod.exports, global.elementUi, global.global, global.index);
    global.index = mod.exports;
  }
})(this, function (exports, _elementUi) {
  'use strict';

  Object.defineProperty(exports, "__esModule", {
    value: true
  });

  var _components;

  function _defineProperty(obj, key, value) {
    if (key in obj) {
      Object.defineProperty(obj, key, {
        value: value,
        enumerable: true,
        configurable: true,
        writable: true
      });
    } else {
      obj[key] = value;
    }

    return obj;
  }

  exports.default = {
    name: 'UcForm',
    components: (_components = {}, _defineProperty(_components, _elementUi.Form.name, _elementUi.Form), _defineProperty(_components, _elementUi.FormItem.name, _elementUi.FormItem), _defineProperty(_components, _elementUi.Input.name, _elementUi.Input), _defineProperty(_components, _elementUi.Radio.name, _elementUi.Radio), _defineProperty(_components, _elementUi.DatePicker.name, _elementUi.DatePicker), _defineProperty(_components, _elementUi.InputNumber.name, _elementUi.InputNumber), _defineProperty(_components, _elementUi.ColorPicker.name, _elementUi.ColorPicker), _defineProperty(_components, _elementUi.Select.name, _elementUi.Select), _components),
    props: {
      labelWidth: {
        type: String,
        default: '120px'
      },
      items: {
        type: Array,
        default: function _default() {
          return [];
        }
      },
      formData: {
        type: Object,
        default: function _default() {}
      },
      formProps: {
        type: Object,
        default: function _default() {}
      }
    },
    computed: {
      rules: function rules() {
        return this.items.reduce(function (map, item) {
          if (item.rules) {
            map[item.prop] = item.rules;
          }
          return map;
        }, {});
      }
    },
    methods: {
      validate: function validate() {
        var _this = this;

        return new Promise(function (resolve, reject) {
          _this.$refs.form.validate(function (valid) {
            if (valid) {
              resolve();
            } else {
              reject();
            }
          });
        });
      },
      resetForm: function resetForm() {
        this.$refs.form.resetFields();
      },
      clearValidate: function clearValidate() {
        this.$refs.form.clearValidate();
      }
    }
  };
});
})()
if (module.exports.__esModule) module.exports = module.exports.default
var __vue__options__ = (typeof module.exports === "function"? module.exports.options: module.exports)
__vue__options__.render = function render () {var _vm=this;var _h=_vm.$createElement;var _c=_vm._self._c||_h;return _c('div',{staticClass:"form"},[_c('el-form',_vm._b({ref:"form",staticClass:"form",attrs:{"model":_vm.formData,"label-width":_vm.labelWidth,"rules":_vm.rules}},'el-form',_vm.formProps,false),_vm._l((_vm.items),function(item,index){return _c('el-form-item',{key:index,attrs:{"label":item.label,"prop":item.prop,"label-width":_vm.labelWidth}},[(item.pattern === 'input')?_c('el-input',_vm._b({model:{value:(_vm.formData[item.prop]),callback:function ($$v) {_vm.$set(_vm.formData, item.prop, $$v)},expression:"formData[item.prop]"}},'el-input',item.props,false)):_vm._e(),_vm._v(" "),(item.pattern === 'radio')?_vm._l((item.props.list),function(d,idx){return _c('el-radio',{key:idx,attrs:{"label":d.label},model:{value:(_vm.formData[item.prop]),callback:function ($$v) {_vm.$set(_vm.formData, item.prop, $$v)},expression:"formData[item.prop]"}},[_vm._v("\n          "+_vm._s(d.value)+"\n        ")])}):_vm._e(),_vm._v(" "),(item.pattern === 'date')?_c('el-date-picker',_vm._b({model:{value:(_vm.formData[item.prop]),callback:function ($$v) {_vm.$set(_vm.formData, item.prop, $$v)},expression:"formData[item.prop]"}},'el-date-picker',item.props,false)):_vm._e(),_vm._v(" "),(item.pattern === 'number')?_c('el-input-number',_vm._b({model:{value:(_vm.formData[item.prop]),callback:function ($$v) {_vm.$set(_vm.formData, item.prop, $$v)},expression:"formData[item.prop]"}},'el-input-number',item.props,false)):_vm._e(),_vm._v(" "),(item.pattern === 'colorPicker')?_c('el-color-picker',_vm._b({attrs:{"show-alpha":""},model:{value:(_vm.formData[item.prop]),callback:function ($$v) {_vm.$set(_vm.formData, item.prop, $$v)},expression:"formData[item.prop]"}},'el-color-picker',item.props,false)):_vm._e(),_vm._v(" "),(item.pattern === 'select')?_c('el-select',_vm._b({model:{value:(_vm.formData[item.prop]),callback:function ($$v) {_vm.$set(_vm.formData, item.prop, $$v)},expression:"formData[item.prop]"}},'el-select',item.props,false),_vm._l((item.props.list),function(i,idx){return _c('el-option',{key:idx,attrs:{"label":i.label,"value":i.value}})}),1):_vm._e(),_vm._v(" "),(item.pattern === 'slot')?_vm._t(item.slotName):_vm._e()],2)}),1)],1)}
__vue__options__.staticRenderFns = []
__vue__options__._scopeId = "data-v-08843a3f"
