;(function(){
(function (global, factory) {
  if (typeof define === "function" && define.amd) {
    define(['exports', 'element-ui', '../_style/global.css', './style/index.css'], factory);
  } else if (typeof exports !== "undefined") {
    factory(exports, require('element-ui'), require('../_style/global.css'), require('./style/index.css'));
  } else {
    var mod = {
      exports: {}
    };
    factory(mod.exports, global.elementUi, global.global, global.index);
    global.index = mod.exports;
  }
})(this, function (exports, _elementUi) {
  'use strict';

  Object.defineProperty(exports, "__esModule", {
    value: true
  });

  function _defineProperty(obj, key, value) {
    if (key in obj) {
      Object.defineProperty(obj, key, {
        value: value,
        enumerable: true,
        configurable: true,
        writable: true
      });
    } else {
      obj[key] = value;
    }

    return obj;
  }

  exports.default = {
    name: 'UcUpload',
    components: _defineProperty({}, _elementUi.Upload.name, _elementUi.Upload),
    props: {
      width: {
        deafult: '',
        type: String
      },
      height: {
        deafult: '',
        type: String
      },
      curIdx: {
        deafult: 0,
        type: Number
      },
      imageUrl: {
        deafult: '',
        type: String
      },
      uploading: {
        deafult: false,
        type: Boolean
      }
    },
    methods: {
      beforeUpload: function beforeUpload(file) {
        var typeArr = ['image/jpg', 'image/jpeg', 'image/png'];
        var result = typeArr.filter(function (i) {
          return file.type === i;
        });
        var isJPGPNG = result.includes(file.type);
        if (!isJPGPNG) {
          this.$message.error('上传头像图片只能是 JPG或PNG格式!');
          return false;
        }
        var isLt1M = file.size / 1024 / 1024 < 3;
        if (!isLt1M) {
          this.$message.error('证件大小不能超过 3MB!');
        }
        return isJPGPNG && isLt1M;
      },
      uploadFile: function uploadFile(file) {
        this.$emit('uploadFile', file.file, this.curIdx);
      }
    }
  };
});
})()
if (module.exports.__esModule) module.exports = module.exports.default
var __vue__options__ = (typeof module.exports === "function"? module.exports.options: module.exports)
__vue__options__.render = function render () {var _vm=this;var _h=_vm.$createElement;var _c=_vm._self._c||_h;return _c('div',{staticClass:"my-upload"},[_c('el-upload',{staticClass:"uploader",attrs:{"action":"","show-file-list":false,"accept":".png, .jpg","before-upload":_vm.beforeUpload,"http-request":_vm.uploadFile}},[(_vm.imageUrl)?_c('img',{style:({width: _vm.width, height: _vm.height}),attrs:{"src":_vm.imageUrl}}):_vm._e(),_vm._v(" "),(!_vm.imageUrl && !_vm.uploading)?_c('div',{staticClass:"upload-text"},[_c('i',{staticClass:"el-icon-plus uploader-icon"}),_vm._v(" "),_c('p',{staticClass:"text"},[_vm._v("上传照片")])]):_vm._e(),_vm._v(" "),(_vm.imageUrl)?_c('div',{staticClass:"add-icon",style:({width: _vm.width, height: _vm.height})},[_c('div',[_c('i',{staticClass:"el-icon-plus"}),_vm._v(" "),_c('p',{staticClass:"icon-text"},[_vm._v("上传照片")])])]):_vm._e()]),_vm._v(" "),_c('p',{staticClass:"size-text"},[_vm._v("图片尺寸："+_vm._s((_vm.width + " * " + _vm.height)))]),_vm._v(" "),_c('p',{staticClass:"size-text"},[_vm._v("图片大小：不超过3M")])],1)}
__vue__options__.staticRenderFns = []
__vue__options__._scopeId = "data-v-5ddc3b3c"
